<template>
  <nav>
    <button v-on:click="share()">
      <svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
        <path d="M0 0h24v24H0z" fill="none"/>
        <path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"/>
        </svg>
      <div>Share</div>
    </button>
    <button v-on:click="addItem()">
      <svg fill="#000000" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg">
        <path d="M0 0h24v24H0z" fill="none"/>
        <path d="M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-1 9h-4v4h-2v-4H9V9h4V5h2v4h4v2z"/>
      </svg>
      <div>Add item</div>
    </button>
  </nav>
</template>

<script>
import ListService from '../list-service';

export default {
  name: 'toolbar',
  methods: {
    addItem() {
      ListService.items.push({
        id: +new Date(),
        edit: true
      });
    },
    share() {
      alert('Sharing is not implemented'); // eslint-disable-line no-alert
    }
  }
};
</script>

<style scoped lang="scss">
nav {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
}

button {
  background: none;
  padding: 12px;
  color: #fff;
  cursor: pointer;

  svg {
    fill: #fff;
    margin-bottom: 2px;
  }

  @media(max-width: 600px) {
    padding: 4px 12px;
    font-size: 11px;
  }
}
</style>
